/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap');

/*=============== VARIABLES CSS ===============*/
:root {
    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --white-color: hsl(0, 0%, 100%);
    --black-color: hsl(0, 0%, 0%);
    --primary: hsl(253, 100%, 68%);
    /* --primary: hsl(258, 100%, 50%); */
    /* --secondary: hsl(258, 100%, 90%); */
    --secondary: hsl(253, 60%, 78%);
    --secondary-light: hsl(253, 100%, 90%);

    /*========== Font and typography ==========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: "Poppins", sans-serif;
    --h1-font-size: 2rem;
    --normal-font-size: 1rem;
    --small-font-size: .813rem;

    -webkit-tap-highlight-color: transparent;
}

/*=============== BASE ===============*/
* {
    transition: all 0.3s ease;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    /* -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none; */
}

*,
html {
    scroll-behavior: smooth !important;
}

a {
    text-decoration: none;
}

body {
    font-family: var(--body-font);

}

.body-background-image {
    z-index: -10;
    position: fixed;
    width: 100%;
    height: 100vh;
    /* background-image: url("https://assets.teenvogue.com/photos/5b845bda0628072ef37c4f31/16:9/w_2560%2Cc_limit/GettyImages-761694245.jpg"); */
    /* background: url("../images/Gradient_000.jpg") no-repeat fixed center; */
    background-clip: border-box;
    background-size: cover;
}

.site-navbar_-z {
    position: fixed;
    background: #0000004a;
    -webkit-backdrop-filter: blur(25px);
    backdrop-filter: blur(25px);
    height: 5rem;
    width: 100%;
    z-index: 1997;
}

.site-navbar {
    /* margin-bottom: 0px; */
    padding: 10px;
    z-index: 2001;
    position: fixed;
    /* TODO: fix position when screen max scrolled !!! sticky scrolls-up after certain scrolls*/
    width: 100%;
    top: 0px;
    height: 5rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-line-pack: center;
    align-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
}

.site-logo {
    color: #ffffff;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    text-align: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-transform: translateY(-8px);
    -ms-transform: translateY(-8px);
    transform: translateY(-8px);
    cursor: pointer;
}

.site-logo a {
    color: inherit;
    font-size: 1.6rem;
    letter-spacing: .2rem;
    text-transform: uppercase;
    text-decoration: underline;
}

.site-logo p {
    font-size: 0.7rem;
    letter-spacing: 2.1px;
    position: absolute;
    color: inherit;
    text-transform: uppercase;
    -webkit-transform: translateY(30px);
    -ms-transform: translateY(30px);
    transform: translateY(30px);
    margin: 0;
}

.site-navbar .site-menu {
    margin-bottom: 0;
}

/******************************************************/
.site-navbar .site-menu .nav-link {
    position: relative;
    display: inline-block;
    padding-bottom: 5px;
}

.site-navbar .site-menu .nav-link::after {
    content: '';
    position: absolute;
    width: 100%;
    -webkit-transform: scaleX(0);
    -ms-transform: scaleX(0);
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: cyan;
    /* Change to your desired color */
    -webkit-transform-origin: bottom right;
    -ms-transform-origin: bottom right;
    transform-origin: bottom right;
    -webkit-transition: -webkit-transform 0.25s ease-out;
    transition: -webkit-transform 0.25s ease-out;
    -o-transition: transform 0.25s ease-out;
    transition: transform 0.25s ease-out;
    transition: transform 0.25s ease-out, -webkit-transform 0.25s ease-out;
}

.site-navbar .site-menu .nav-link.active::after,
.site-navbar .site-menu .nav-link:hover::after {
    -webkit-transform: scaleX(1);
    -ms-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transform-origin: bottom left;
    -ms-transform-origin: bottom left;
    transform-origin: bottom left;
}

/******************************************************/

.site-navbar .site-menu .active {
    color: #fff;
    display: inline-block;
    padding: 5px 20px;
}

.site-navbar .site-menu a {
    text-decoration: none !important;
    display: inline-block;
    position: relative;
    /* font-size: 1.15rem; */
}

.site-navbar .site-menu>li {
    display: inline-block;
}

.site-navbar .site-menu>li>a {
    padding: 10px 20px !important;
    color: rgba(255, 255, 255, 0.5);
    display: inline-block;
    text-decoration: none !important;
}

.site-navbar .site-menu>li>a:hover {
    color: #fff;
}

.site-navbar .site-menu .has-children {
    position: relative;
}

.site-navbar .site-menu .has-children>a {
    position: relative;
    padding-right: 20px;
}

.site-navbar .site-menu .has-children>a:before {
    position: absolute;
    content: "\ea4e";
    font-size: 16px;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    font-family: 'remixicon';
}

.site-navbar .site-menu .has-children .dropdown {
    visibility: hidden;
    opacity: 0;
    /* top: 100%; */
    left: 0;
    -webkit-transform: translateX(-25%);
    -ms-transform: translateX(-25%);
    transform: translateX(-25%);
    position: absolute;
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
    text-align: left;
    border-top: 2px solid cyan;
    -webkit-box-shadow: 0 2px 20px -2px rgba(0, 0, 0, 0.2);
    box-shadow: 0 2px 20px -2px rgba(0, 0, 0, 0.2);
    padding: 0px 0;
    margin-top: 20px;
    margin-left: 0px;
    background: hsla(0, 0%, 100%, 0.5);
    -webkit-transition: 0.2s 0s;
    -o-transition: 0.2s 0s;
    transition: 0.2s 0s;
}

.site-navbar .site-menu .has-children .dropdown.arrow-top {
    position: absolute;
}

.site-navbar .site-menu .has-children .dropdown.arrow-top:before {
    bottom: 100%;
    left: 20%;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.site-navbar .site-menu .has-children .dropdown.arrow-top:before {
    border-color: rgba(136, 183, 213, 0);
    border-bottom-color: #fff;
    border-width: 10px;
    margin-left: -10px;
}

.site-navbar .site-menu .has-children .dropdown li {
    line-height: 1.4;
}

.site-navbar .site-menu .has-children .dropdown a {
    text-transform: none;
    letter-spacing: normal;
    -webkit-transition: 0s all;
    -o-transition: 0s all;
    transition: 0s all;
    color: #343a40;
}

.site-navbar .site-menu .has-children .dropdown a.active {
    background: #ebeef0;
    color: #89ba16;
}

.site-navbar .site-menu .has-children .dropdown>li {
    list-style: none;
    padding: 0;
    margin: 0;
    min-width: 200px;
}

.site-navbar .site-menu .has-children .dropdown>li>a {
    padding: 9px 20px;
    display: block;
}

.site-navbar .site-menu .has-children .dropdown>li>a:hover {
    background: #ebeef0;
    color: #212529;
}

.site-navbar .site-menu .has-children .dropdown>li.has-children>a:before {
    content: "\e315";
    right: 20px;
}

.site-navbar .site-menu .has-children .dropdown>li.has-children>a.active {
    background: #ebeef0;
    color: #89ba16;
}

.site-navbar .site-menu .has-children .dropdown>li.has-children>.dropdown,
.site-navbar .site-menu .has-children .dropdown>li.has-children>ul {
    left: 100%;
    top: 0;
}

.site-navbar .site-menu .has-children .dropdown>li.has-children:hover>a,
.site-navbar .site-menu .has-children .dropdown>li.has-children:active>a,
.site-navbar .site-menu .has-children .dropdown>li.has-children:focus>a {
    background: #ebeef0;
    color: #212529;
}

.site-navbar .site-menu .has-children:hover,
.site-navbar .site-menu .has-children:focus,
.site-navbar .site-menu .has-children:active {
    cursor: pointer;
}

.site-navbar .site-menu .has-children:hover>.dropdown,
.site-navbar .site-menu .has-children:focus>.dropdown,
.site-navbar .site-menu .has-children:active>.dropdown {
    -webkit-transition-delay: 0s;
    -o-transition-delay: 0s;
    transition-delay: 0s;
    margin-top: 0px;
    visibility: visible;
    opacity: 1;
}

/*********************************/
.logout-button {

    position: absolute;
    right: 0;
    --color: hsl(267, 69%, 55%);
    --color-active: hsl(267, 69%, 42%);
    /* background: rgba(255, 255, 255, 0.5); */
    font-family: inherit;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    text-decoration: none !important;
    width: 100px;
    height: 2.6em;
    line-height: normal;
    margin: 20px;
    overflow: hidden;
    border: 2px solid var(--color);
    -webkit-transition: color .1s ease;
    -o-transition: color .1s ease;
    transition: color .1s ease;
    z-index: 1;
    /* font-size: 1rem; */
    border-radius: 50px;
    font-weight: 500;
    color: var(--color);
}

.logout-button:before {
    content: "";
    position: absolute;
    z-index: -1;
    background: var(--color);
    height: 150px;
    width: 200px;
    border-radius: 50%;
}

.logout-button:hover {
    color: #fff;
}

.logout-button:before {
    top: 100%;
    left: 100%;
    -webkit-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;
}

.logout-button:hover:before {
    top: -30px;
    left: -30px;
}

.logout-button:active:before {
    background: var(--color-active);
    -webkit-transition: background 0s;
    -o-transition: background 0s;
    transition: background 0s;
}

.logout-button:active {
    border: 2px solid var(--color-active);
}

.logout-button:focus {
    outline: none;
    /* Ensure no outline on focus */
}

/**************************************/

.site-navbar .site-menu.site-menu-dark>li>a {
    color: black;
    position: relative;
}

.site-navbar .site-menu.site-menu-dark>li>a:after {
    height: 2px;
    background: #000;
    content: "";
    position: absolute;
    bottom: 0;
    left: 20px;
    right: 20px;
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}

.site-navbar .site-menu.site-menu-dark>li>a:hover,
.site-navbar .site-menu.site-menu-dark>li>a.active {
    color: #89ba16;
    position: relative;
}

.site-navbar .site-menu.site-menu-dark>li>a:hover:after,
.site-navbar .site-menu.site-menu-dark>li>a.active:after {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}

@media screen and (min-width: 1200px) {
    .site-navbar {
        padding: 35px;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: center;
    }

    .site-logo {
        position: absolute;
        left: 35px;
    }

    

}


/*************************************************************************************/

.site-navbar_overlay {
    position: fixed;
    background: #000000c7;
    /* backdrop-filter: blur(3px); */
    height: 100%;
    width: 100%;
    z-index: 1998;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: 0.2s all cubic-bezier(0.66, 0.2, 0.48, 0.9);
    -o-transition: 0.2s all cubic-bezier(0.66, 0.2, 0.48, 0.9);
    transition: 0.2s all cubic-bezier(0.66, 0.2, 0.48, 0.9);
}

.offcanvas-menu .site-navbar_overlay {
    opacity: 1;
    visibility: visible;
}

.site-mobile-menu {
    width: 300px;
    top: 0;
    position: fixed;
    /* right: 0; */
    z-index: 2000;
    /* padding-top: 20px; */
    /* backdrop-filter: blur(35px); */
    background: hsl(0, 0%, 86%);
    height: calc(100vh);
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    transform: translateX(-100%);
    box-shadow: none;
    -webkit-box-shadow: none;
    -webkit-transition: 0.4s all cubic-bezier(.2, .5, 0, 1);
    -o-transition: 0.4s all cubic-bezier(.2, .5, 0, 1);
    transition: 0.4s all cubic-bezier(.2, .5, 0, 1);
}

.offcanvas-menu .site-mobile-menu {
    /* -webkit-box-shadow: 10px 0px 1000px 1000px rgba(0, 0, 0, 0.6); */
    /* box-shadow: 10px 0px 1000px 1000px rgba(0, 0, 0, 0.6); */
    -webkit-transform: translateX(0%);
    -ms-transform: translateX(0%);
    transform: translateX(0%);
}

.site-mobile-menu .site-mobile-menu-header {
    width: 100%;
    float: left;
    padding-left: 20px;
    /* padding-right: 20px; */
    /* color: #000; */
    padding: 35px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 5rem;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-transition: all 0.5s ease 0.25s;
    -o-transition: all 0.5s ease 0.25s;
    transition: all 0.5s ease 0.25s;
    opacity: 0;
    visibility: hidden;
}

/* Delay the transition after the offcanvas menu becomes visible */
.offcanvas-menu .site-mobile-menu-header {
    opacity: 1;
    visibility: visible;
}

.offcanvas-menu .site-logo {
    color: #000;
}

.offcanvas-menu .site-navbar .right-cta-menu .line {
    stroke: #000000;
}


.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo {
    float: left;
    margin-top: 10px;
    margin-left: 0px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    text-align: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-transform: translateY(-8px);
    -ms-transform: translateY(-8px);
    transform: translateY(-8px);
    cursor: pointer;
    color: #000;
    display: none;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo a {
    color: #000;
    font-size: 1.6rem;
    letter-spacing: .2rem;
    text-transform: uppercase;
    text-decoration: underline;
}

.site-mobile-menu .site-mobile-menu-header .site-mobile-menu-logo p {

    font-size: 0.7rem;
    letter-spacing: 2.1px;
    position: absolute;
    text-transform: uppercase;
    -webkit-transform: translateY(30px);
    -ms-transform: translateY(30px);
    transform: translateY(30px);
    margin: 0;
}


.site-mobile-menu .site-mobile-menu-body {
    /* overflow-y: scroll; */
    -webkit-overflow-scrolling: touch;
    position: relative;
    padding: 0 20px 20px 20px;
    height: calc(100vh - 52px);
    /* padding-bottom: 150px; */
}

.site-mobile-menu .site-nav-wrap {
    padding: 0;
    margin: 0;
    list-style: none;
    position: relative;
}

.site-mobile-menu .site-nav-wrap a {
    padding: 10px 20px;
    display: block;
    position: relative;
    /* color: hsl(0, 0%, 50%); */
    color: hsl(210, 11%, 15%);
    text-decoration: none;
}

.site-mobile-menu .site-nav-wrap a:hover {
    color: var(--primary);
    text-decoration: none;
}

.site-mobile-menu .site-nav-wrap li {
    position: relative;
    display: block;
}

.site-mobile-menu .site-nav-wrap li .active {
    color: black;
    font-weight: bold;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse {
    position: absolute;
    right: 0px;
    top: 10px;
    z-index: 20;
    width: 36px;
    height: 36px;
    text-align: center;
    cursor: pointer;
    border-radius: 50%;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse:hover {
    background: #f8f9fa;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse:before {
    font-size: 1.2rem;
    z-index: 20;
    font-family: "remixicon";
    content: "\ea4e";
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotate(-180deg);
    -ms-transform: translate(-50%, -50%) rotate(-180deg);
    transform: translate(-50%, -50%) rotate(-180deg);
    -webkit-transition: .3s all ease;
    -o-transition: .3s all ease;
    transition: .3s all ease;
}

.site-mobile-menu .site-nav-wrap .arrow-collapse.collapsed:before {
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.site-mobile-menu .site-nav-wrap>li {
    display: block;
    position: relative;
    float: left;
    width: 100%;
}

.site-mobile-menu .site-nav-wrap>li>a {
    padding-left: 20px;
    font-size: 20px;
}

.site-mobile-menu .site-nav-wrap>li>ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.site-mobile-menu .site-nav-wrap>li>ul>li {
    display: block;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>a {
    padding-left: 40px;
    font-size: 16px;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>ul {
    padding: 0;
    margin: 0;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>ul>li {
    display: block;
}

.site-mobile-menu .site-nav-wrap>li>ul>li>ul>li>a {
    font-size: 16px;
    padding-left: 60px;
}

.site-mobile-menu .site-nav-wrap[data-class="social"] {
    float: left;
    width: 100%;
    margin-top: 30px;
    padding-bottom: 5em;
}

.site-mobile-menu .site-nav-wrap[data-class="social"]>li {
    width: auto;
}

.site-mobile-menu .site-nav-wrap[data-class="social"]>li:first-child a {
    padding-left: 15px !important;
}